#if !defined(_BANGINTERFACE_H_)

#define _BANGINTERFACE_H_

#include "lsapi.h"

#define MAX_BSTRUCT_ENTRIES 32


typedef WPARAM BANGID;


#define DISPATCH_BANGCOMMAND(__HANDLER,__COMMAND)                  \
void __HANDLER(HWND caller, const char* args){                     \
  HWND hwnd=FindWindow(WINDOWCLASS_DLL, 0);                        \
  COPYDATASTRUCT cpds;                                             \
  cpds.cbData = (args)?strlen(args)+1:0;                           \
  cpds.dwData = __COMMAND;                                         \
  cpds.lpData = (LPVOID)args;                                      \
  if(hwnd)SendMessage(hwnd, WM_COPYDATA, (WPARAM)caller, (LPARAM)&cpds);   \
}


typedef struct tagBangEntry {
  char szCommand[MAX_BANGCOMMAND];
  BangCommand *lpbebc;
} BANGENTRY;


typedef struct tagBangStruct {
  int bsEntries;
  BANGENTRY bsbe[MAX_BSTRUCT_ENTRIES];
} BANGSTRUCT, far *LPBANGSTRUCT;



int  PushBangEntries(LPBANGSTRUCT lpbs, LPCSTR lpcmd, BangCommand bc, BOOL sw=FALSE);
void AddBangCommandEntries(LPBANGSTRUCT lpbs);
void RemoveBangCommandEntries(LPBANGSTRUCT lpbs);


#endif //_BANGINTERFACE

\
\
\
\
\
\
\
\
\
\
